Summary:	Graphical front-end to gcc/g++
Summary(pl.UTF-8):	Graficzna nakładka na gcc/g++
Name:		openldev
Version:	1.0
Release:	4
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/openldev/%{name}-%{version}.tar.bz2
# Source0-md5:	e5345d18b6f7cafcac85e3ce66b33217
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-makefile.patch
Patch2:		cxx.patch
Patch3:		format-security.patch
URL:		http://www.openldev.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtk+2-devel >= 2.6.0
BuildRequires:	gtksourceview-devel >= 1.2.0
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	vte0-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open Linux Developer is a environment based on the GTK+2 libraries
that provides a graphical front-end to gcc/g++. It includes the basic
essentials needed by a C/C++ programmer.

%description -l pl.UTF-8
Open Linux Developer jest środowiskiem opartym o bibliotekę GTK+2,
będącym graficzną nakładką na gcc/g++. Zawiera podstawowe składniki
porzebne dla programisty C/C++.

%prep
%setup -qn %{name}
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1
%patch -P3 -p1

# workaround for hardcoded paths
sed -i -e 's|/lib/openldev|/%{_lib}/openldev|' openldev/openldev-plugin-engine.cc

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-template-all \
	--disable-static

%{__make} \
	CXXFLAGS='%{rpmcflags}'

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_pixmapsdir}/openldev/openldev48.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/openldev.png
	
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libopenldev.so*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.plugin
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/%{name}
%{_pixmapsdir}/*.png
%{_mandir}/man1/*.1*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openldev.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 057ba8f
- Release 4 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> fc8ddde
- Fix applying patches.

* Tue Jan 28 2014 Jan Rękorajski <baggins@pld-linux.org> 54990be
- updated BRs
- fix format string errors
- fix building with modern g++
- rel 3

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> 331ae3d
- rel 2
- fixed desktop categories

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 17eb486
- up to 1.0 final

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d29271a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 06aecdb
- converted to UTF-8

* Sun Jan 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c1cd0a
- up to 1.0rc1

* Sat Dec 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 6915575
- rel 2

* Mon May 15 2006 freetz <freetz@pld-linux.org> df0addf
- updated for 0.6.1

* Mon May 15 2006 freetz <freetz@pld-linux.org> ab790f8
- 0.6.1

* Wed Apr 26 2006 paladine <paladine@pld-linux.org> f7ae1e8
- updated to 0.6.0

* Sun Apr 16 2006 freetz <freetz@pld-linux.org> 8c8ba6c
- updated for 0.5.6

* Sun Apr 16 2006 freetz <freetz@pld-linux.org> 2ee57e6
- 0.5.6

* Fri Mar 17 2006 freetz <freetz@pld-linux.org> e116aa2
- 0.5.5

* Sat Feb 18 2006 freetz <freetz@pld-linux.org> 278d286
- updated for 0.5.4

* Fri Nov 18 2005 freetz <freetz@pld-linux.org> 9f4af48
- updated for 0.5.0

* Fri Nov 18 2005 freetz <freetz@pld-linux.org> 1f46fe9
- 0.5.0, manual page added

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> 2f82707
- unify sf url, and other things that adapter felt neccessary

* Thu Sep 15 2005 freetz <freetz@pld-linux.org> 5423ce8
- 0.4.4

